Skip to main content
GET
/
notes
List notes
curl --request GET \
  --url https://{your-subdomain}.neetocrm.com/api/external/v1/notes \
  --header 'X-Api-Key: <x-api-key>'
{
  "notes": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "content": "Important note about Eve",
      "user_id": "u1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "created_at": "2025-03-15T10:30:00.000Z",
      "updated_at": "2025-03-15T10:30:00.000Z"
    },
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "content": "Follow-up call with Oliver scheduled",
      "user_id": "u1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "created_at": "2025-03-14T14:22:00.000Z",
      "updated_at": "2025-03-14T14:22:00.000Z"
    }
  ],
  "pagination": {
    "total_records": 42,
    "total_pages": 2,
    "current_page_number": 1,
    "page_size": 30
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Identifying your subdomain.

Headers

X-Api-Key
string
required

X-Api-Key is used to authenticate requests using an API key. Provide your API key in this header to access protected endpoints. Refer to Authentication for more information.

Query Parameters

resource_type
enum<string>
required

Type of resource (contacts, companies, deals, leads).

Available options:
contacts,
companies,
deals,
leads
resource_id
integer
required

ID of the resource.

page_number
integer

Retrieve paginated results by specifying the desired page number. If this parameter is absent, all results will be returned.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

Response

200 - application/json

Successfully retrieved notes.

notes
object[]

List of notes.

pagination
object